%define name	yum
%define version	0.9.4
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	RPM installer/updater
License:	GPL
Group:		System/Configuration/Packaging
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.dulug.duke.edu/yum
PreReq:         rpm-helper
BuildRequires:	python-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

Caution: default installation use a service to allow/disallow cron-based
automatic upgrade

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure --libdir=%{_datadir}
%make

%install
%makeinstall_std
# correct scripts
perl -pi -e 's|%{_libdir}/yum|%{_datadir}/yum|' $RPM_BUILD_ROOT%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files 
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL
%config(noreplace) %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/init.d/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/yum
%{_bindir}/*
/var/cache/yum
%{_mandir}/man*/*

%changelog
* Sun Jan 26 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.9.4-2mdk
- fixed scripts

* Sat Jan 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.9.4-1mdk
- first mdk release based on Seth Vidal <skvidal@phy.duke.edu> work
